jaunty 64 bits and builder wizard

 
nyme nyme
-
 
 
-   -

hi

i compile on jaunty alpha 64 bits, it seem's compile good but when i launch i have a graphic box:

fatal error:
MLT'S SDL module not found please check your MLT install ...

libsdl1.2-dev is installed ...

i have the log avalaible of the compilation ...

Thanks

Nyme

hi

 

i forget the versions:

builder wizard: 0.7.3

ffmpeg: 18155

mlt: 1380

mlt++: 1380

kdenlive: 3167

 

thanks

sorry

 now the log of compilation

the extention is txt but it's a gzip file

 

thanks

please, attach the output of inigo -query consumer

hello

 

it seems the problem is not from kdenlive ...

 

cvts@ubuntu:~/kdenlive/bin$ ./inigo -query consumer
Erreur de segmentation (core dumped)
cvts@ubuntu:~/kdenlive/bin$ ./inigo
Erreur de segmentation (core dumped)
cvts@ubuntu:~/kdenlive/bin$ export PATH=$PATH:.
cvts@ubuntu:~/kdenlive/bin$ inigo
Erreur de segmentation (core dumped)
cvts@ubuntu:~/kdenlive/bin$
 

 

i made a kdenlive_start with replace of the lauch of kdenlive by inigo:

cvts@ubuntu:~/kdenlive/bin$ ./kdenlive_inigo
Way to run = Normal
running inigo
./kdenlive_inigo: line 88:  3711 Segmentation fault      (core dumped) inigo

 

for madsdyd: the launch with kdenlive_start

 

cvts@ubuntu:~/kdenlive/bin$ kdenlive_start
Way to run = Normal
running kdenlive --mlt-path /home/cvts/kdenlive
/usr/share/themes/Human/gtk-2.0/gtkrc:82: Murrine configuration option "highlight_ratio" will be deprecated in future releases. Please use "highlight_shade" instead.
/usr/share/themes/Human/gtk-2.0/gtkrc:83: Murrine configuration option "lightborder_ratio" will be deprecated in future releases. Please use "lightborder_shade" instead.
/usr/share/themes/Human/gtk-2.0/gtkrc:194: Murrine configuration option "highlight_ratio" will be deprecated in future releases. Please use "highlight_shade" instead.
kdenlive(3720) MainWindow::parseProfiles: RESULTING MLT PATH:  "/home/cvts/kdenlive/share/mlt/profiles/"
kdenlive(3720) initEffects::parseEffectFiles: //  INIT EFFECT SEARCH
cvts@ubuntu:~/kdenlive/bin$

 

 

if you have any idea

 

Thanks

 

Nyme

I am working with a journalist and I can confirm this crash using inigo.

Hi there

Seems your compilation went well - something must go wrong during start up.

I would like to see the kdenlive_start log, in gdb mode:

sudo apt-get install gdb
/home/cvts/kdenlive/bin/kdenlive_start -g
then attach/mail the log

also, there is a file to setup your environment to use the binaries installed
source /home/cvts/kdenlive/bin/kdenlive_env
which inigo
should write
/home/cvts/kdenlive/bin/inigo

then perform the
inigo -query consumers
lets know what happens.

hi,

 

@ubuntu:~/kdenlive/bin$ ./kdenlive_start -g
Way to run = GDB
Logging to /tmp/kbw.gdb.output.BUJcGozo
./kdenlive_start: line 155: kdialog: command not found
cvts@ubuntu:~/kdenlive/bin$ vi /tmp/kbw.gdb.output.BUJcGozo
cvts@ubuntu:~/kdenlive/bin$ ./kdenlive_env
cvts@ubuntu:~/kdenlive/bin$ source ./kdenlive_env
cvts@ubuntu:~/kdenlive/bin$ which inigo
/home/cvts/kdenlive/bin/inigo
cvts@ubuntu:~/kdenlive/bin$ ./inigo -query consumers
Erreur de segmentation (core dumped)

 

cvts@ubuntu:~/kdenlive/bin$ env
ORBIT_SOCKETDIR=/tmp/orbit-cvts
SSH_AGENT_PID=3963
GPG_AGENT_INFO=/tmp/seahorse-cNrE5E/S.gpg-agent:4024:1
TERM=xterm
SHELL=/bin/bash
XDG_SESSION_COOKIE=b7f12a566aaac40c4a11a68649c92203-1238444160.220899-640084213
INSTALL_DIR=/home/cvts/kdenlive
GTK_RC_FILES=/etc/gtk/gtkrc:/home/cvts/.gtkrc-1.2-gnome2
WINDOWID=62914613
MLT_REPOSITORY=/home/cvts/kdenlive/lib/mlt
OLDPWD=/home/cvts/kdenlive
MLT_PATH=/home/cvts/kdenlive
GTK_MODULES=canberra-gtk-module
USER=cvts
LD_LIBRARY_PATH=/home/cvts/kdenlive/lib:

.....
USERNAME=cvts
DESKTOP_SESSION=default
PATH=/home/cvts/kdenlive/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin:/usr/games:/usr/lib/kde4/bin:/usr/lib/kde4/bin
MLT_PROFILES_PATH=/home/cvts/kdenlive/share/mlt/profiles
GDM_XSERVER_LOCATION=local
PWD=/home/cvts/kdenlive/bin
MLT_AVFORMAT_THREADS=2
LANG=fr_FR.UTF-8
GNOME_KEYRING_PID=3858
GDM_LANG=fr_FR.UTF-8
MLT_DATA=/home/cvts/kdenlive/share/mlt
GDMSESSION=default
HISTCONTROL=ignoreboth
SHLVL=1
HOME=/home/cvts
GNOME_DESKTOP_SESSION_ID=this-is-deprecated
LOGNAME=cvts
XDG_DATA_DIRS=/usr/local/share/:/usr/share/:/usr/share/gdm/
DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-9WO5GmkS5L,guid=e68371cdbdbe9754420ad3bd49d12880
LESSOPEN=| /usr/bin/lesspipe %s
WINDOWPATH=7:7
DISPLAY=:0.0
LESSCLOSE=/usr/bin/lesspipe %s %s
XAUTHORITY=/home/cvts/.Xauthority
COLORTERM=gnome-terminal
_=/usr/bin/env
cvts@ubuntu:~/kdenlive/bin$
 

 

Thank You

 

Nyme

hello madsdyd,

i update the builder, the os and all the source and i have always the same problem ..

tell me if you need more trace ...

thanks

 

nyme

 

I just upgraded to jaunty 64, and I'm also getting a crash at startup.

 

Attached is the gdb output.  It doesn't look like have the right symbols but the library it looks like it's complaining about is /lib/libselinux.so.1

Update: Following the instructions here -- http://www.kdenlive.org/mantis/view.php?id=545 -- I removed frei0r and frei0r-dev and reran and everything worked.

i have the same problem when using the packages from the repos. This happens when frei0r package is installed before runing kdenlives startup wizard. So disable frei0r option in the wizard, compile inkscape, start it up, eventually this time you will not have the error on startup. Go throug the startup wizard process FIRST, and THEN install frei0r from the repos. If you already ran once the wizard, frei0r might be already installed, as there is no option to uninstall it from kdenlive wizard you'll have to do it manually, probably by going into the frei0r source directory with the terminal and typing "sudo make uninstall" (without the quotes), so make sure there is no frei0r installed at all before runing kdenlive wizard.

hope this helps.

hi

it's ok, i need to uninstall freir plugins before using kdenlivebuilderwizard.

after compilation with the wizard i can re compile and install freir plugins and it seems to work ...

 

Thank for all

 

nyme

More than likely, it is the same problem as with the 32-bit version where you can include frei0r as long as you move/delete the facedetect.so.